## org.eclipse.emf.compare.match.statistic
Class MetamodelFilter

    java.lang.Object
      org.eclipse.emf.compare.match.statistic.MetamodelFilter

    public class MetamodelFilter

extends java.lang.Object

This class determines the unused features in a metamodel using models.

A feature is considered "unused" if its value is never changed throughout all the model's classes.

Field Summary
`protected java.util.Map<org.eclipse.emf.ecore.EStructuralFeature,org.eclipse.emf.compare.match.statistic.FeatureInformation>` `featuresToInformation` Keeps track of all the informations of the features.
`protected java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `unusedFeatures` List of the unused features' informations.

Constructor Summary
`MetamodelFilter()`

Method Summary
`void` `analyseModel(org.eclipse.emf.ecore.EObject root)` Analyses a model and changes the stats using this model.
`void` `clear()` Clears all recorded information.
`java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getFilteredFeatures(org.eclipse.emf.ecore.EObject eObj)` Returns a list of the pertinent features for this `EObject`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### featuresToInformation

    protected final java.util.Map<org.eclipse.emf.ecore.EStructuralFeature,org.eclipse.emf.compare.match.statistic.FeatureInformation> featuresToInformation

  Keeps track of all the informations of the features.

### unusedFeatures

    protected java.util.List<org.eclipse.emf.ecore.EStructuralFeature> unusedFeatures

  List of the unused features' informations.

Constructor Detail

### MetamodelFilter

    public MetamodelFilter()

Method Detail

### analyseModel

    public void analyseModel(org.eclipse.emf.ecore.EObject root)

  Analyses a model and changes the stats using this model.

  Parameters:
    `root` - Model to analyze.

### clear

    public void clear()

  Clears all recorded information.

### getFilteredFeatures

    public java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getFilteredFeatures(org.eclipse.emf.ecore.EObject eObj)

  Returns a list of the pertinent features for this `EObject`.

  Parameters:
    `eObj` - `EObject` from which we seek the features.
  Returns:
    A list of the pertinent features for this `EObject`.

Copyright 2006 IBM Corporation and others. All Rights Reserved.